<?php
namespace MairieGestion\MainBundle\Menu;

use Knp\Menu\FactoryInterface;
use Symfony\Component\DependencyInjection\ContainerAware;

class Builder extends ContainerAware
{
    public function mainMenu(FactoryInterface $factory, array $options)
    {
        $menu = $factory->createItem('root');
        $menu->setChildrenAttribute('class', 'nav nav-list menu_gauche affix-top');
 
        $menu->addChild('Menu tarifs');
 
        $menu['Menu tarifs']->addChild('Liste des tarifs', array('route' => 'tarifs_liste'));
        $menu['Menu tarifs']->addChild('Nouveau tarif', array('route' => 'tarifs_nouveau'));
        $menu['Menu tarifs']->setChildrenAttribute('class', 'nav nav-list affix-top');
        
        return $menu;
    }
}