<?php

namespace MairieGestion\PageBundle\Form;

use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

class AlbumType extends AbstractType
{
    public function __construct()
    {
    }
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('name', 'text', array('label' => 'Titre de l\'album'))
            ->add('Valider', 'submit',array(
                'attr'=> array('class'=>'btn', 'formnovalidate'=>true)
            ))
        ;
    }

    public function getName()
    {
        return 'albumtype';
    }
    
    public function getDefaultOptions(array $options)
    {
        return array(
            'data_class' => 'MairieGestion\PageBundle\Entity\Album',
        );
    }
}
