<?php

namespace MairieGestion\PageBundle\Form;

use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

class ConseilType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('anneeBegin','integer',array(
                'label' => 'Année de début',
                'attr' => array('style'=>'width:70px','class'=>'form-control'),
            ))
            ->add('anneeEnd','integer',array(
                'label' => 'Année de fin',
                'attr' => array('placeholder' => '--', 'style'=>'width:70px','class'=>'form-control'),
            ))
            ->add('Valider', 'submit',array(
                'attr'=> array('class'=>'btn', 'formnovalidate'=>true)
            ))
        ;
    }

    public function getName()
    {
        return 'conseiltype';
    }

    public function getDefaultOptions(array $options)
    {
        return array(
            'data_class' => 'MairieGestion\PageBundle\Entity\Conseil',
        );
    }

}
