<?php

namespace MairieGestion\PageBundle\Form;

use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

class ParamReferencementType extends AbstractType
{    
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('metaTitle', 'text', array(
                'label' => 'Meta title',
                'attr' => array('class'=>'form-control'),
            ))
            ->add('metaDescription', 'textarea',array(
                'label'=>'Meta description accueil',
                'attr' => array('class'=>'form-control'),
            ))
            ->add('googleAnalytics', 'textarea',array(
                'label'=>'Code Google analytics',
                'attr' => array('class'=>'form-control'),
            ))
            ->add('googleVerification', 'text', array(
                'label' => 'Meta Google site verification',
                'attr' => array('class'=>'form-control'),
            ))
            ->add('Valider', 'submit',array(
                'attr'=> array('class'=>'btn', 'formnovalidate'=>true)
            ))
        ;
    }

    public function getName()
    {
        return 'paramreferencementtype';
    }
    
    public function getDefaultOptions(array $options)
    {
        return array(
            'data_class' => 'MairieGestion\PageBundle\Entity\Mairie',
        );
    }
}
