<?php

namespace MairieGestion\PlanningBundle\Form;

use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

class CategoryEventType extends AbstractType
{
	private $obj;
    
    public function __construct($obj)
    {
        $this->obj = $obj;
    }
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('name', 'text', array('label' => 'Nom'))
            ->add('color', 'text', array('label' => 'Couleur', 'attr' => array('style'=>'width: 0px;position: absolute;height: 0px;z-index: -1;')))
            ->add('Valider', 'submit',array(
                'attr'=> array('class'=>'btn')
            ))
        ;
    }

    public function getName()
    {
        return 'categoryeventtype';
    }
    
    public function getDefaultOptions(array $options)
    {
        return array(
            'data_class' => 'MairieGestion\PlanningBundle\Entity\CategoryEvent',
        );
    }
}
