CKEDITOR.dialog.add( 'youtuberesponsiveDialog', function ( editor ) {
    return {
	title: 'Insérer une vidéo Youtube',
        minWidth: 400,
        minHeight: 100,

        contents: [
            {
                id: 'tab-basic',
                label: 'Youtube',
                elements: [
		    {
			type: 'text',
			id: 'link',
			label: 'Votre lien youtube',
			validate: CKEDITOR.dialog.validate.notEmpty("Le champs ne peut être vide.")
		    },
		    {
			type: 'text',
			id: 'width',
			label: 'Largeur maximale'
		    },
		    {
			type: 'text',
			id: 'height',
			label: 'Hauteur maximale'
		    }
                ]
            }
        ],
        onOk: function() {
            var dialog = this;
            var div = editor.document.createElement('div');
	    content = "<div class='video-container'><iframe src='" + dialog.getValueOf('tab-basic', 'link') + "' frameborder='0' allowfullscreen ";
	    var width = dialog.getValueOf('tab-basic', 'width');
	    var height = dialog.getValueOf('tab-basic', 'height');
	    
	    if (height != "" || width != "") {
		content += "style='";
		
		if (height != "") {
		    content += "max-height: " + height + "px;";
		}

		if (width != "") {
		    content += "max-width: " + width + "px;";
		}

		content += "' ";
	    }
	    
	    content += "></iframe></div>";
	    
	    div.setHtml(content);
            editor.insertElement(div);
        }
    };
});