<?php

namespace Lizeo\PCPBundle\Entity;

use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="Lizeo\PCPBundle\Entity\Repository\FileRejectedInitRepository")
 * @ORM\Table(name="t_file_rejected_init")
 */
class FileRejectedInit
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $filename;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $line_number;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $error_code;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $error_message;
    
    public function getId()
    {
        return $this->id;
    }
    
    public function getFilename()
    {
        return $this->filename;
    }
    
    public function getSheet()
    {
        return 1;
    }
    
    public function getLineNumber()
    {
        return $this->line_number;
    }
    
    public function getErrorCode()
    {
        return $this->error_code;
    }
    
    public function getErrorMessage()
    {
        return $this->error_message;
    }
}
