<?php

namespace Lizeo\PCPBundle\Entity\Repository;

use Doctrine\ORM\EntityRepository;

class FileRejectedTsRepository extends EntityRepository
{
    public function findErrorMessages($filename)
    {
        $qb = $this->createQueryBuilder('f');
        $qb->select('f')
            ->where($qb->expr()->like('f.filename', ':filename'))
            ->setParameter('filename', '%'.$filename.'%');
        
        try {
            return $qb->getQuery()->getResult();
        } catch (\Doctrine\ORM\NoResultException $e) {
            return null;
        }
    }
}
