<?php

namespace Lizeo\PCPBundle\Entity;

use Lizeo\PCPBundle\Model\TypeFileDeadline as AbstractTypeFileDeadline;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="Lizeo\PCPBundle\Entity\Repository\TypeFileDeadlineRepository")
 * @ORM\Table(name="sy_type_file_deadline")
 */

class TypeFileDeadline extends AbstractTypeFileDeadline
{   
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;
    
    /**
     * @ORM\ManyToOne(targetEntity="Lizeo\PCPBundle\Entity\TypeFile") 
     */
    protected $type_file;
    
    /**
     * @ORM\Column(type="date")
     */
    protected $date_period;
    
    /**
     * @ORM\Column(type="date")
     */
    protected $date_deadline;
}
