<?php

namespace Lizeo\PCPBundle\Model;

use Symfony\Component\Validator\Constraints as Assert;

class Contact
{
    
    /**
     * @Assert\NotBlank()
     */
    protected $subject;
    
    /**
     * @Assert\NotBlank()
     */
    protected $message;
    
    function setSubject($subject)
    {
        $this->subject = $subject;
        
        return $this;
    }
    
    function getSubject()
    {
        return $this->subject;
    }
    
    function setMessage($message)
    {
        $this->message = $message;
        
        return $this;
    }
    
    function getMessage()
    {
        return $this->message;
    }
}
