<?php

namespace Lizeo\PCPBundle\Model;

abstract class DownloadFile
{
    
    protected $id;
    
    /**
     * @var string
     */
    protected $filename;
    
    /**
     *
     * @var datetime 
     */
    protected $date_time;
    
    protected $user;
    
    public function __construct($name = "")
    {
        $this->name = $name;
        $this->date_time = new \DateTime();
    }

    public function getId()
    {
        return $this->id;
    }

    public function getFilename()
    {
        return $this->filename;
    }

    /**
     * @param string $name
     * @return DownloadFile
     */
    public function setFilename($filename) 
    {
        $this->filename = $filename;
        
        return $this;
    }
    
    public function getUser()
    {
        return $this->user;
    }
    
    public function setUser($user)
    {
        $this->user = $user;
        
        return $this;
    }
}
