<?php

namespace Lizeo\PCPBundle\Model;

abstract class Mail
{
    
    /**
     *
     * @var integer 
     */
    protected $id;
    
    /**
     * @var date
     */
    protected $send_date;
    
    /**
     *
     * @var integer 
     */
    protected $type;
    
    /**
     *
     * @var object 
     */
    protected $file;
    
    /**
     *
     * @var object 
     */
    protected $user;
    
    /**
     *
     * @var integer 
     */
    protected $status;
    
    public function getId()
    {
        return $this->id;
    }

    public function getSendDate()
    {
        return $this->send_date;
    }
    
    public function getType()
    {
        return $this->type;
    }
    
    public function getFile()
    {
        return $this->file;
    }
    
    public function getUser()
    {
        return $this->user;
    }
    
    public function isSent()
    {
        return $this->status;
    }
    
    public function setSendDate($send_date)
    {
        $this->send_date = $send_date;
        
        return $this;
    }
    
    public function setType($type)
    {
        $this->type = $type;
        
        return $this;
    }
    
    public function setFile(\Lizeo\PCPBundle\Entity\File $file)
    {
        $this->file = $file;
        
        return $this;
    }
    
    public function setUser(\FOS\UserBundle\Model\UserInterface $user)
    {
        $this->user = $user;
        
        return $this;
    }
    
    public function setStatus($status)
    {
        $this->status = $status;
        
        return $this;
    }
}
