<?php

namespace Lizeo\PCPBundle\Model;

abstract class TypeFileDeadline
{
    protected $id;
    
    /**
     *
     * @var integer 
     */
    protected $type_file;
    
    /**
     *
     * @var \DateTime 
     */
    protected $date_period;
    
    /**
     *
     * @var integer 
     */
    protected $date_deadline;
    
    public function getId()
    {
        return $this->id;
    }
    
    public function getTypeFile()
    {
        return $this->type_file;
    }

    public function getDatePeriod()
    {
        return $this->date_period;
    }
    
    public function getDateDeadLine()
    {
        return $this->date_deadline;
    }
    
    public function setTypeFile(\Lizeo\PCPBundle\Entity\TypeFile $type_file)
    {
        $this->type_file = $type_file;
        
        return $this;
    }
    
    public function setDatePeriod($date_period)
    {
        $this->date_period = $date_period;
        
        return $this;
    }
    
    public function setDateDeadline($date_deadline)
    {
        $this->date_deadline = $date_deadline;
        
        return $this;
    }
}
