<?php

namespace Lizeo\PCPBundle\Service;

use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpKernel\Log\LoggerInterface;

class Service implements ServiceInterface 
{
    protected $container;
    protected $logger;
    
    public function __construct(ContainerInterface $container, LoggerInterface $logger)
    {
        $this->container = $container;
        $this->logger = $logger;
    }
    
    public function getParameter($parameter)
    {
        return $this->container->getParameter($parameter);
    }
    
    public function getDoctrine()
    {
        return $this->container->get('doctrine');
    }
    
    public function getLogger()
    {
        return $this->logger;
    }
}
