<?php

namespace MairieGestion\MainBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\FormBuilderInterface;
class AdresseType extends AbstractType
{
	private $obj;
    
    public function __construct($obj)
    {
        $this->obj = $obj;
    }
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('rue', 'textarea',array('label'=>'Adresse','required'=>false,'attr' => array('class'=>'form-control')))
            ->add('cp', 'text',array('label'=>'Code postal','required'=>false,'attr' => array('class'=>'form-control')))
            ->add('city', 'text',array('label'=>'Ville','required'=>false,'attr' => array('class'=>'form-control')))
            ;
    }

    public function getName()
    {
        return 'adressetype';
    }
    
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'MairieGestion\MainBundle\Entity\Adresse',
        ));
    }
}
