<?php
    require_once __DIR__.'/bootstrap.php.cache';
    require_once __DIR__.'/AppKernel.php';
    
    use Lizeo\PCPBundle\Utils\FileManipulation;
    use Lizeo\PCPBundle\Utils\FileNameParse;
    use Lizeo\PCPBundle\Entity\TypeFile;
    use Lizeo\PCPBundle\Entity\File;
    
    $kernel = new \AppKernel("prod", false);
    $kernel->boot();
    $container = $kernel->getContainer();
    var_dump($argv);
    $filename = $argv[1];
                    $filename_parse = new FileNameParse($filename);
    $data['job_name'] = TypeFile::JOB_IMPORT_CO_ALL;

    $csv = new FileManipulation("/home/pcp/talend/file_reject/".$filename.".csv", 'w+');
    $objPHPExcel = \PHPExcel_IOFactory::load("/home/pcp/talend/file_reject/".$filename);
    $sheet = $objPHPExcel->getSheet(4);
    foreach ($sheet->getRowIterator() as $row)
    {
        $_data = array();
        $cellIterator = $row->getCellIterator();
        $cellIterator->setIterateOnlyExistingCells(false);
        foreach ($cellIterator as $cell)
        {
            if ($data['job_name'] == TypeFile::JOB_IMPORT_CO_ALL)
            {
                $i = 0;
                foreach ($cellIterator as $cell)
                {
                    if ($i == 14 || $i == 15 || $i == 29 || $i == 30)
                    {
                            $_data[] = $cell->getOldCalculatedValue();
                    }
                    else
                    {
                            $_data[] = $cell->getCalculatedValue();
                    }
                    $i++;
                }
            }
            else
            {
                foreach ($cellIterator as $cell)
                {
                    $_data[] = $cell->getCalculatedValue();
                }
            }
        }
        if ($data['job_name'] == TypeFile::JOB_IMPORT_TS_ALL)
        {
            $_data[13] = PHPExcel_Style_NumberFormat::toFormattedString($_data[13], PHPExcel_Style_NumberFormat::FORMAT_PERCENTAGE_00);
            $_data[13] = str_replace("%", "", $_data[13]);
        }
        else if ($data['job_name'] == TypeFile::JOB_IMPORT_CO_ALL)
        {
            $_data[1] = $filename_parse->getFormattedDate();
            
            if(strpos($filename, "TC") !== false)
            {
                if(strtolower($_data[4]) == "nokian" || strtolower($_data[4]) == "pirelli")
                {
                    $_data[5] = "T1";
                }
            }
            else if(strpos($filename, "PL") !== false)
            {
                // Sell in
                if (($_data[16] == "0.00" || $_data[16] == 0 || $_data[16] == "") && ($_data[12] <> 0 || $_data[12] <> "0" && is_numeric($_data[12])) && ($_data[15] <> 0 || $_data[15] <> "0" || $_data[15] <> ""))
                {
                    $_data[16] = $_data[15] / $_data[12]; 
                }
                
                // Sell out
                if (($_data[28] == "0.00" || $_data[28] == 0 || $_data[28] == "") && ($_data[12] <> 0 || $_data[12] <> "0" && is_numeric($_data[12])) && ($_data[27] <> 0 || $_data[27] <> "0" || $_data[27] <> ""))
                {
                    $_data[28] = $_data[27] / $_data[12]; 
                }
            }
            
            if (strpos($_data[2], "/") === false)
            {
                $_data[2] = str_replace(" R", "/0 R", $_data[2]);
            }
            
            if ($_data[9] == "0")
            {
                $_data[9] = "";
            }
            else
            {
                $_data[9] = PHPExcel_Style_NumberFormat::toFormattedString($_data[9], "DD/MM/YYYY");
            }
        }
             
        if ($data['job_name'] == TypeFile::JOB_IMPORT_CO_ALL && strpos($filename, 'PL') !== false)
        {
            /*
                * ONLY FOR CO PL
                * This condition permit us to keep only good data.
                * If we do not remove retread data we will have data with sell-in price at 0
                */
            if (strpos(strtolower($_data[39]), 'retread') === false)
            {
                $csv->putcsv($_data);
            }
        }
        else
        {
            $csv->putcsv($_data);
        }
    }

    $csv->close();
    $objPHPExcel->disconnectWorksheets();
    unset($objPHPExcel);