<?php

namespace Lizeo\PCPBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

class QlikviewController extends Controller
{
    /**
     * @Route("reporting.html", name="lizeo_qlikview_reporting")
     * @Template()
     */
    public function reportingAction()
    {
        return array();
    }
    
    
    /**
     * @Route("reporting-connect.html", name="lizeo_qlikview_connect")
     * @Template()
     */
    public function connectAction()
    {
        $username = $this->get('security.context')->getToken()->getUser()->getUsername();
        
        if ($username == "qlikadmin") {    
            if ($this->container->hasParameter('qlikview_authenticate_password_'.$username)) {
                $password = $this->container->getParameter('qlikview_authenticate_password_'.$username);
            }
        } else {
            $password = $this->container->getParameter('qlikview_authenticate_password');
        }
        
        $ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $this->container->getParameter('qlikview_authenticate'));
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, 'username='.$username.'&password='.$password);
        curl_setopt($ch, CURLOPT_HEADER, 1);
        curl_setopt($ch, CURLOPT_VERBOSE, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
        
        $result = curl_exec($ch);
        curl_close($ch);

        preg_match('/^Set-Cookie:\s*([^;]*)/mi', $result, $m);
        
        if (sizeof($m) == 0) {
            return array();
        }
        
        $cookies = null;
        parse_str($m[1], $cookies);

        foreach ($cookies as $key => $value) {
            setcookie($key, $value);
        }

        return $this->redirect($this->container->getParameter('qlikview_access'));
    }
}
