<?php

namespace Lizeo\PCPBundle\Entity;

use Lizeo\PCPBundle\Model\DownloadFile as AbstractDownloadFile;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="sy_download_file")
 * @UniqueEntity("code")
 */
class DownloadFile extends AbstractDownloadFile
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $filename;
    
    /**
     *
     * @ORM\Column(type="datetime")
     */
    protected $date_time;
    
    /**
     * @ORM\ManyToOne(targetEntity="Lizeo\UserBundle\Entity\User") 
     */
    protected $user;
    
    public function __toString()
    {
        return $this->name;
    }
}
