<?php

namespace Lizeo\PCPBundle\Entity;

use Lizeo\PCPBundle\Model\TypeFilePeriod as AbstractTypeFilePeriod;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;
use Doctrine\Common\Collections\Collection;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity()
 * @ORM\Table(name="sy_type_file_period")
 */

class TypeFilePeriod extends AbstractTypeFilePeriod
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $name;
    
    /**
     *
     * @ORM\Column(type="string")
     */
    protected $months;
    
    /**
     *
     * @ORM\Column(type="boolean")
     */
    protected $enabled;
    
    public function __toString()
    {
        return $this->name;
    }
}
