<?php

namespace Lizeo\PCPBundle\Model;

abstract class ErrorCode
{
    protected $id;
    
    /**
     * @var string
     */
    protected $name;
    
    /**
     * @var string
     */
    protected $description;
    
    /**
     *
     * @var integer 
     */
    protected $code;
    
    /**
     * @var integer
     */
    protected $level;
    
    public function getId()
    {
        return $this->id;
    }

    public function getName()
    {
        return $this->name;
    }

    public function getDescription()
    {
        return $this->description;
    }
    
    public function getCode()
    {
        return $this->code;
    }
    
    public function getLevel()
    {
        return $this->level;
    }
    
    public function setName($name)
    {
        $this->name = $name;
        
        return $this;
    }
    
    public function setDescription($description)
    {
        $this->description = $description;
        
        return $this;
    }
    
    public function setCode($code)
    {
        $this->code = $code;
        
        return $this;
    }
    
    public function setLevel($level)
    {
        $this->level = $level;
        
        return $this;
    }
}
